Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 4577)
@@ -1,20 +1,19 @@
 !> @file data_output_profiles.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,6 +24,9 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! add variable description
@@ -37,17 +39,16 @@
 ! ------------
 !> Plot output of 1D-profiles for PROFIL
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE data_output_profiles
- 
-
-    USE control_parameters,                                                    &
-        ONLY:  average_count_pr, averaging_interval_pr, coupling_start_time,   &
-               dopr_n, dopr_time_count, normalizing_region,                    &
-               time_since_reference_point
-
-    USE cpulog,                                                                &
+
+
+    USE control_parameters,                                                                        &
+        ONLY:  average_count_pr, averaging_interval_pr, coupling_start_time,                       &
+               dopr_n, dopr_time_count, normalizing_region, time_since_reference_point
+
+    USE cpulog,                                                                                    &
         ONLY:  cpu_log, log_point
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nzb, nzt
 
@@ -58,7 +59,7 @@
 #endif
 
-    USE netcdf_interface,                                                      &
-        ONLY:  id_set_pr, id_var_dopr, id_var_norm_dopr, id_var_time_pr,       &
-               nc_stat, netcdf_handle_error, output_for_t0
+    USE netcdf_interface,                                                                          &
+        ONLY:  id_set_pr, id_var_dopr, id_var_norm_dopr, id_var_time_pr, nc_stat,                  &
+               netcdf_handle_error, output_for_t0
 
     USE pegrid
@@ -66,5 +67,5 @@
     USE profil_parameter
 
-    USE statistics,                                                            &
+    USE statistics,                                                                                &
         ONLY:  flow_statistics_called, hom, hom_sum, pr_palm, statistic_regions
 
@@ -92,11 +93,10 @@
        ELSE
 !
-!--       This case may happen if dt_dopr is changed in the 
-!--       runtime_parameters-list of a restart run
+!--       This case may happen if dt_dopr is changed in the runtime_parameters-list of a restart run
           RETURN
        ENDIF
     ENDIF
 
-    
+
     IF ( myid == 0 )  THEN
 
@@ -115,18 +115,17 @@
 !--    Output of initial profiles
        IF ( dopr_time_count == 1 )  THEN
-        
-          IF ( .NOT. output_for_t0 ) THEN 
-
-#if defined( __netcdf )          
-!
-!--          Store initial time to time axis, but only if an output
-!--          is required for at least one of the profiles. The initial time
-!--          is either 0, or, in case of a prerun for coupled atmosphere-ocean
-!--          runs, has a negative value
+
+          IF ( .NOT. output_for_t0 ) THEN
+
+#if defined( __netcdf )
+!
+!--          Store initial time to time axis, but only if an output is required for at least one of
+!--          the profiles. The initial time is either 0, or, in case of a prerun for coupled
+!--          atmosphere-ocean runs, has a negative value
              DO  i = 1, dopr_n
                 IF ( dopr_initial_index(i) /= 0 )  THEN
-                   nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,          &
-                                        (/ -coupling_start_time /),            &
-                                        start = (/ 1 /), count = (/ 1 /) )
+                   nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,                              &
+                                           (/ -coupling_start_time /),                             &
+                                           start = (/ 1 /), count = (/ 1 /) )
                    CALL netcdf_handle_error( 'data_output_profiles', 329 )
                    output_for_t0 = .TRUE.
@@ -138,38 +137,38 @@
 !--          Store normalization factors
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), & ! wpt0
-                                  (/ hom_sum(nzb,18,normalizing_region) /), &
+                                     (/ hom_sum(nzb,18,normalizing_region) /),                     &
                                      start = (/ 1 /), count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 330 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), & ! ws2
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
+                                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /),           &
                                      start = (/ 1 /), count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 331 )
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), & ! tsw2
-                        (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                                  start = (/ 1 /), count = (/ 1 /) )
+                                     (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /),           &
+                                      start = (/ 1 /), count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 332 )
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), & ! ws3
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
+                                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /),           &
                                      start = (/ 1 /), count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 333 )
 
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &!ws2tsw
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
-                           hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), & ! ws2tsw
+                                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *             &
+                                        hom_sum(nzb+3,pr_palm,normalizing_region)    /),           &
                                      start = (/ 1 /), count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 334 )
 
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &!wstsw2
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
-                           hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), & ! wstsw2
+                                     (/ hom_sum(nzb+8,pr_palm,normalizing_region) *                &
+                                        hom_sum(nzb+3,pr_palm,normalizing_region)**2 /),           &
                                      start = (/ 1 /), count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 335 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), & ! z_i
-                           (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
+                                     (/ hom_sum(nzb+6,pr_palm,normalizing_region) /),              &
                                      start = (/ 1 /), count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 336 )
-             
+
 #endif
 !
@@ -186,7 +185,7 @@
 !
 !--                   Write data to netcdf file
-                      nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),    &
-                                    hom(nzb:nzt+1,1,dopr_initial_index(i),sr), &
-                                              start = (/ 1, 1 /),              &
+                      nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),                        &
+                                              hom(nzb:nzt+1,1,dopr_initial_index(i),sr),           &
+                                              start = (/ 1, 1 /),                                  &
                                               count = (/ nzt-nzb+2, 1 /) )
                       CALL netcdf_handle_error( 'data_output_profiles', 337 )
@@ -210,7 +209,7 @@
 !
 !--    Store time to time axis
-       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,        &
-                               (/ time_since_reference_point /), &
-                               start = (/ dopr_time_count /),    &
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,                                          &
+                               (/ time_since_reference_point /),                                   &
+                               start = (/ dopr_time_count /),                                      &
                                count = (/ 1 /) )
        CALL netcdf_handle_error( 'data_output_profiles', 338 )
@@ -219,44 +218,44 @@
 !--    Store normalization factors
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), &  ! wpt0
-                               (/ hom_sum(nzb,18,normalizing_region) /), &
+                               (/ hom_sum(nzb,18,normalizing_region) /),                           &
+                               start = (/ dopr_time_count /),                                      &
+                               count = (/ 1 /) )
+       CALL netcdf_handle_error( 'data_output_profiles', 339 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
+                               (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /),                 &
+                               start = (/ dopr_time_count /),                                      &
+                               count = (/ 1 /) )
+       CALL netcdf_handle_error( 'data_output_profiles', 340 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
+                               (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /),                 &
+                               start = (/ dopr_time_count /),                                      &
+                               count = (/ 1 /) )
+       CALL netcdf_handle_error( 'data_output_profiles', 341 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
+                               (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /),                 &
+                               start = (/ dopr_time_count /),                                      &
+                               count = (/ 1 /) )
+       CALL netcdf_handle_error( 'data_output_profiles', 342 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
+                               (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *                   &
+                                  hom_sum(nzb+3,pr_palm,normalizing_region) /),                    &
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL netcdf_handle_error( 'data_output_profiles', 339 )
-
-       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
-                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
-                               start = (/ dopr_time_count /),               &
-                               count = (/ 1 /) )
-       CALL netcdf_handle_error( 'data_output_profiles', 340 )
-
-       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
-                     (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                               start = (/ dopr_time_count /),               &
-                               count = (/ 1 /) )
-       CALL netcdf_handle_error( 'data_output_profiles', 341 )
-
-       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
-                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
-                               start = (/ dopr_time_count /),               &
-                               count = (/ 1 /) )
-       CALL netcdf_handle_error( 'data_output_profiles', 342 )
-
-       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
-                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
-                        hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
-                               start = (/ dopr_time_count /),               &
-                               count = (/ 1 /) )
        CALL netcdf_handle_error( 'data_output_profiles', 343 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &  ! wstsw2
-                     (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
-                        hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                               start = (/ dopr_time_count /),               &
+                               (/ hom_sum(nzb+8,pr_palm,normalizing_region) *                      &
+                                  hom_sum(nzb+3,pr_palm,normalizing_region)**2 /),                 &
+                               start = (/ dopr_time_count /),                                      &
                                count = (/ 1 /) )
        CALL netcdf_handle_error( 'data_output_profiles', 344 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), &  ! z_i
-                        (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
-                               start = (/ dopr_time_count /),               &
+                               (/ hom_sum(nzb+6,pr_palm,normalizing_region) /),                    &
+                               start = (/ dopr_time_count /),                                      &
                                count = (/ 1 /) )
        CALL netcdf_handle_error( 'data_output_profiles', 345 )
@@ -274,7 +273,7 @@
 !
 !--          Write data to netcdf file
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),          &
-                                     hom_sum(nzb:nzt+1,dopr_index(i),sr),&
-                                     start = (/ 1, dopr_time_count /),      &
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),                                 &
+                                     hom_sum(nzb:nzt+1,dopr_index(i),sr),                          &
+                                     start = (/ 1, dopr_time_count /),                             &
                                      count = (/ nzt-nzb+2, 1 /) )
              CALL netcdf_handle_error( 'data_output_profiles', 346 )
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 4577)
@@ -1,20 +1,19 @@
 !> @file data_output_spectra.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,6 +24,9 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
@@ -38,12 +40,12 @@
 !> Writing spectra data on file, using a special format which allows
 !> plotting of these data with PROFIL-graphic-software
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE data_output_spectra
- 
+
 #if defined( __netcdf )
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  message_string, time_since_reference_point
 
-    USE cpulog,                                                                &
+    USE cpulog,                                                                                    &
         ONLY:  cpu_log, log_point
 
@@ -52,13 +54,12 @@
     USE NETCDF
 
-    USE netcdf_interface,                                                      &
+    USE netcdf_interface,                                                                          &
         ONLY:  id_set_sp, id_var_time_sp, nc_stat, netcdf_handle_error
 
     USE pegrid
 
-    USE spectra_mod,                                                           &
-        ONLY:  average_count_sp, averaging_interval_sp, comp_spectra_level,    &
-               data_output_sp, dosp_time_count, spectra_direction, spectrum_x, &
-               spectrum_y
+    USE spectra_mod,                                                                               &
+        ONLY:  average_count_sp, averaging_interval_sp, comp_spectra_level, data_output_sp,        &
+               dosp_time_count, spectra_direction, spectrum_x, spectrum_y
 
 
@@ -67,5 +68,5 @@
     INTEGER(iwp) ::  m       !< running index over spectra output
     INTEGER(iwp) ::  pr      !< index used to assign default quantities to data output
-    
+
     CALL cpu_log( log_point(31), 'data_output_spectra', 'start' )
 
@@ -88,6 +89,6 @@
 !
 !--    Update the spectra time axis
-       nc_stat = NF90_PUT_VAR( id_set_sp, id_var_time_sp,        &
-                               (/ time_since_reference_point /), &
+       nc_stat = NF90_PUT_VAR( id_set_sp, id_var_time_sp,                                          &
+                               (/ time_since_reference_point /),                                   &
                                start = (/ dosp_time_count /), count = (/ 1 /) )
        CALL netcdf_handle_error( 'data_output_spectra', 47 )
@@ -96,6 +97,6 @@
 !--    If necessary, calculate time average and reset average counter
        IF ( average_count_sp == 0 )  THEN
-           message_string = 'no spectra data available'
-           CALL message( 'data_output_spectra', 'PA0186', 0, 0, 0, 6, 0 )
+          message_string = 'no spectra data available'
+          CALL message( 'data_output_spectra', 'PA0186', 0, 0, 0, 6, 0 )
        ENDIF
        IF ( average_count_sp /= 1 )  THEN
@@ -132,8 +133,7 @@
              CASE DEFAULT
 !
-!--             The DEFAULT case is reached either if the parameter 
-!--             data_output_sp(m) contains a wrong character string or if the 
-!--             user has coded a special case in the user interface. There, the 
-!--             subroutine user_spectra checks which of these two conditions 
+!--             The DEFAULT case is reached either if the parameter data_output_sp(m) contains a
+!--             wrong character string or if the user has coded a special case in the user
+!--             interface. There, the subroutine user_spectra checks which of these two conditions
 !--             applies.
                 CALL user_spectra( 'data_output', m, pr )
@@ -175,19 +175,19 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> @todo Missing subroutine description.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE output_spectra_netcdf( nsp, direction )
 #if defined( __netcdf )
 
-    USE basic_constants_and_equations_mod,                                     &
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  pi
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  dx, dy
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nx, ny
 
@@ -196,9 +196,8 @@
     USE NETCDF
 
-    USE netcdf_interface,                                                      &
-        ONLY:  id_set_sp, id_var_dospx, id_var_dospy, nc_stat,                 &
-               netcdf_handle_error
-
-    USE spectra_mod,                                                           &
+    USE netcdf_interface,                                                                          &
+        ONLY:  id_set_sp, id_var_dospx, id_var_dospy, nc_stat, netcdf_handle_error
+
+    USE spectra_mod,                                                                               &
         ONLY:  dosp_time_count, n_sp_x, n_sp_y, spectrum_x, spectrum_y
 
@@ -228,6 +227,6 @@
           ENDDO
 
-          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_dospx(nsp), netcdf_data_x, &
-                                  start = (/ 1, k, dosp_time_count /), &
+          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_dospx(nsp), netcdf_data_x,                     &
+                                  start = (/ 1, k, dosp_time_count /),                             &
                                   count = (/ nx/2, 1, 1 /) )
           CALL netcdf_handle_error( 'data_output_spectra', 348 )
@@ -246,6 +245,6 @@
           ENDDO
 
-          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_dospy(nsp), netcdf_data_y, &
-                                  start = (/ 1, k, dosp_time_count /), &
+          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_dospy(nsp), netcdf_data_y,                     &
+                                  start = (/ 1, k, dosp_time_count /),                             &
                                   count = (/ ny/2, 1, 1 /) )
           CALL netcdf_handle_error( 'data_output_spectra', 349 )
